Zandronum Chat @ irc.zandronum.com
#zandronum
Get the latest version: 2.1.2
Source Code

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0002987Zandronum[All Projects] Bugpublic2017-01-17 17:172017-04-19 00:55
ReporterHexaDoken 
Assigned ToTorr Samaho 
PriorityhighSeveritymajorReproducibilityalways
StatusresolvedResolutionfixed 
PlatformMicrosoftOSWindowsOS VersionXP/Vista/7
Product Version3.0-beta 
Target Version3.0Fixed in Version3.0 
Summary0002987: A weapon has been broken online by latest beta build
DescriptionI honestly have no clue why.

In August's beta build, this weapon worked fine both offline and online. In October's build, it still works properly offline, but online does approximately nothing.

So I just threw the entire thing in a minimal wad and decided to put it up here. Hope this helps.
Steps To Reproduce1) Load the wad in singleplayer.
2) Find a sufficiently large crowd and fire the weapon at it
3) Watch everyone XDying
4) Host a server with the wad and repeat step 2 on it
5) Watch approximately nothing happening
Attached Files? file icon nukeweapontest.wad [^] (68,299 bytes) 2017-01-17 17:17

- Relationships

-  Notes
User avatar (0016671)
Dusk (developer)
2017-01-22 21:21
edited on: 2017-01-22 21:21


[ teemu@apotheosis ~/dev/zandronum/debug ]$ hg bisect --bad
The first bad revision is:
changeset: 10476:120d544d7547
user: Benjamin Berkels <>
date: Tue Sep 20 21:37:37 2016 +0200
summary: Fixed: AFastProjectile ignored the CLIENTSIDEONLY flag of its MissileType. [Torr Samaho]


User avatar (0016672)
Dusk (developer)
2017-01-22 21:29

Fixed.
User avatar (0016673)
Torr Samaho (administrator)
2017-01-24 06:58

Patch added.
User avatar (0016695)
Ru5tK1ng (updater)
2017-01-26 06:08

Tested the fix and while the weapon now kills things normally, the trails are invisible and don't show up like they do offline.
User avatar (0016873)
WaTaKiD (updater)
2017-02-17 18:54

https://bitbucket.org/Torr_Samaho/zandronum/commits/db4abcca09f631cd8ca5e2d2fb0c777821cf795f [^] is also causing the hexen mage's wand's trail to not show up online anymore
User avatar (0017131)
Torr Samaho (administrator)
2017-04-15 09:45

Should be fixed now.
User avatar (0017207)
Ru5tK1ng (updater)
2017-04-19 00:55

Tested this with the lasted build and it now seems to work offline and offline correctly

Issue Community Support
This issue is already marked as resolved.
If you feel that is not the case, please reopen it and explain why.
Supporters: No one explicitly supports this issue yet.
Opponents: No one explicitly opposes this issue yet.

- Issue History
Date Modified Username Field Change
2017-01-17 17:17 HexaDoken New Issue
2017-01-17 17:17 HexaDoken File Added: nukeweapontest.wad
2017-01-17 20:39 Dusk Assigned To => Dusk
2017-01-17 20:39 Dusk Status new => confirmed
2017-01-17 20:39 Dusk Target Version => 3.0
2017-01-17 20:40 Dusk Priority normal => high
2017-01-22 21:21 Dusk Note Added: 0016671
2017-01-22 21:21 Dusk Note Edited: 0016671 View Revisions
2017-01-22 21:23 Dusk Status confirmed => assigned
2017-01-22 21:29 Dusk Note Added: 0016672
2017-01-22 21:29 Dusk Status assigned => needs review
2017-01-24 06:58 Torr Samaho Note Added: 0016673
2017-01-24 06:58 Torr Samaho Status needs review => needs testing
2017-01-26 06:08 Ru5tK1ng Note Added: 0016695
2017-01-26 06:08 Ru5tK1ng Status needs testing => feedback
2017-02-06 19:37 Dusk Status feedback => assigned
2017-02-17 18:54 WaTaKiD Note Added: 0016873
2017-04-15 09:45 Torr Samaho Note Added: 0017131
2017-04-15 09:45 Torr Samaho Assigned To Dusk => Torr Samaho
2017-04-15 09:45 Torr Samaho Status assigned => needs testing
2017-04-19 00:55 Ru5tK1ng Note Added: 0017207
2017-04-19 00:55 Ru5tK1ng Status needs testing => resolved
2017-04-19 00:55 Ru5tK1ng Resolution open => fixed
2017-04-19 00:55 Ru5tK1ng Fixed in Version => 3.0






Questions or other issues? Contact Us.

Links


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker